@import "../abstracts/colors";
@import "../abstracts/variables";

.icon {
	display: inline-block;
	width: 80px;
	height: 80px;
	background-color: $color-light-sea-green;

	mask-position: center;
	mask-repeat: no-repeat;
	mask-size: contain;
	
	&--task {
		mask-image: url("../../../icons/task.svg"); 
	}
	&--plus {
		transform: rotate(42deg);
		mask-image: url("../../../icons/close.svg"); 
	}
	&--Brouillon {
		mask-image: url("../../../icons/brouillon.svg"); 
	}
	&--Publiee {
		mask-image: url("../../../icons/publie.svg"); 
	}
	&--eye {
		mask-image: url("../../../icons/eye.svg"); 
	}
	&--close {
		mask-image: url("../../../icons/close.svg"); 
	}
}
